Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1343016 - RFE: Record 'address sizes' field
Summary: RFE: Record 'address sizes' field
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Retired
Component: inventory
Version: develop
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 10:43 UTC by Dr. David Alan Gilbert
Modified: 2020-10-21 14:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-21 14:13:43 UTC


Attachments (Terms of Use)

Description Dr. David Alan Gilbert 2016-06-06 10:43:37 UTC
Description of problem:
CPUs typically have a pair of limits on their 'address space size', on x86 this is shown in /proc/cpuinfo as:
   address sizes	: 46 bits physical, 48 bits virtual

other architectures typically have similar limits (typically also physical and virtual although they may have other names for it).

Please record these values as two separate key/value pairs so that a user could search beaker for machines with a particular range of values for specific tests.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dan Callaghan 2016-06-07 06:04:33 UTC
Is this kernel-specific, or hardware-specific, or both?

Comment 2 Dr. David Alan Gilbert 2016-06-07 08:02:40 UTC
(In reply to Dan Callaghan from comment #1)
> Is this kernel-specific, or hardware-specific, or both?

Hardware only I think.

Dave


Note You need to log in before you can comment on or make changes to this bug.